> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# हस्ताक्षरित डाउनलोड URL बनाएँ

> रेंडर किए गए वीडियो के लिए प्रथम-पक्ष हस्ताक्षरित डाउनलोड URL लौटाता है।

वर्कस्पेस में पूर्वावलोकन सुविधा का ऐक्सेस आवश्यक है। सेटअप, वेबहुक और परिणामों को संभालने के लिए [वीडियो और बैच कार्य](../../guides/async-video-and-batch.mdx) देखें।


## OpenAPI

````yaml hi/openapi/v1/openapi.localized.yaml POST /videos/{video_id}/download_url
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    OpenAI-संगत एंडपॉइंट के माध्यम से विभिन्न AI मॉडल तक पहुँचने के लिए एक गेटवे
    API।
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: वैश्विक रूटिंग
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /videos/{video_id}/download_url:
    post:
      tags:
        - Gateway
      summary: हस्ताक्षरित वीडियो डाउनलोड URL बनाएँ
      description: रेंडर किए गए वीडियो के लिए प्रथम-पक्ष हस्ताक्षरित डाउनलोड URL लौटाता है।
      operationId: createVideoDownloadUrl
      parameters:
        - name: video_id
          in: path
          required: true
          description: वीडियो जनरेशन अनुरोध का ID।
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                index:
                  type: integer
                  minimum: 0
                ttl_seconds:
                  type: integer
                  minimum: 1
                disposition:
                  type: string
                  enum:
                    - attachment
                    - inline
      responses:
        '200':
          description: हस्ताक्षरित डाउनलोड URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  download_url:
                    type: string
                  expires_at:
                    type: integer
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer टोकन से प्रमाणीकरण

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.